%define name	qhull
%define version	2002.1
%define release	1mdk
%define major	0
%define libname	%mklibname %{name} %{major}

Summary:	Computes convex hulls
Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
License:	GPL
Group:		System/Libraries
Url:		http://www.thesa.com/software/%{name}/
Source0:	%{url}files/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Qhull computes convex hulls, Delaunay triangulations, halfspace
intersections about a point, Voronoi diagrams, furthest-site Delaunay
triangulations, and furthest-site Voronoi diagrams. It runs in 2-d, 3-d,
4-d, and higher dimensions. It implements the Quickhull algorithm for
computing the convex hull. Qhull handles roundoff errors from floating
point arithmetic. It can approximate a convex hull.

%package -n %{libname}
Summary:	Shared libraries for %{name}
Group:		System/Libraries
Provides:	lib%{name} = %{version}-%{release}

%description -n %{libname}
Shared libraries for %{name}.

%package -n %{libname}-devel
Summary:	Header files and static library for development with %{name}
Group:		Development/C
Requires:	%{libname} = %{epoch}:%{version}-%{release}
Provides:	lib%{name}-devel = %{epoch}:%{version}-%{release}

%description -n %{libname}-devel
Header files and static library for development with %{name}.

%prep
%setup -q -n %{name}%{version}
(cd src; sh ./Make-config.sh || :)
libtoolize --copy --force
aclocal -I .
automake --copy --add-missing
autoconf

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
rm -rf $RPM_BUILD_ROOT/usr/share/doc

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%defattr(-, root, root)
%doc Announce.txt COPYING.txt FILE_ID.DIZ Qhull-go.pif README.txt REGISTER.txt
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-, root, root)
%doc html
%{_bindir}/*
%{_mandir}/*/*
%{_libdir}/*.so
%{_libdir}/*.*a
%{_includedir}/*

%changelog
* Thu Oct 02 2003 David Walluck <walluck@linux-mandrake.com> 0:2002.1-1mdk
- release
